<template src="./template.html"></template>

<script lang="ts">
import {
  Component,
  getModule,
  Prop,
  Vue,
  Watch,
} from "nuxt-property-decorator";

@Component({
  components: {
    RevenueItemDomain: () => import("./RevenueItemDomain/index.vue"),
    RevenueItemDate: () => import("./RevenueItemDate/index.vue"),
    RevenueItemSeller: () => import("./RevenueItemSeller/index.vue"),
    RevenueItemProduct: () => import("./RevenueItemProduct/index.vue"),
    RevenueItemHour: () => import("./RevenueItemHour/index.vue"),
    RevenueItemMonth: () => import("./RevenueItemMonth/index.vue"),
  },
})
export default class RevenueComponent extends Vue {
  get tab() {
    return this.$store.state.home.tab;
  }

  set tab(value: number) {
    this.$store.commit("home/setTab", value);
  }
  get revenueTab() {
    return this.$store.state.home.revenueTab;
  }

  set revenueTab(value: number) {
    this.$store.commit("home/setRevenueTab", value);
  }
}
</script>

<style lang="scss" scoped>
td,
th {
  border: 1px solid #f1f5f9;
}
td {
  padding: 16px !important;
}
p {
  margin-bottom: 0;
}
</style>
